
CoCoALib - Feature #210

Normaliz: "double" cone for speed and safety

25 Jul 2012 14:36 - Anna Maria Bigatti

Status: Closed Start date: 25 Jul 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.9952 Spent time: 10.00 hours

Description

normaliz comutations using long might fail and using mpz will take 10 times as long.

The cone implementation in CoCoALib (NewCone) includes both implementations: starts with long and, if it fails, re-start with mpz:

this is all done internally.

(implemented by J.Abbott during the stay in Osnabrueck)

Related issues:

Related to CoCoALib - Design #769: CoCoALib cone In Progress 03 Sep 2015

History

#1 - 25 Jul 2012 14:45 - Anna Maria Bigatti

Merged with code by C.Soeger for NormalizComputation (initialization from map, call from cocoa-5)

#2 - 11 Feb 2013 15:56 - Anna Maria Bigatti

- Status changed from In Progress to Resolved

#3 - 18 Feb 2013 16:25 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 70 to 100

It seems to work fine (after 7 months since finishing the code).

No documentation currently -- not sure where it would go anyway.

Closing this issue.
